CorebanqCorebanq Developer Docs
Customersv2Teams

List Team Members

Handler: GetAllTeamMembersV2 → get_all envelope with TeamMemberResultAPI items.

GET
/v2/customers/{id}/teams

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token obtained from /v1/authenticate endpoint

In: header

Path Parameters

id*string
id*string

Customer UUID.

Query Parameters

stack?string

Group results by this field; data becomes an object keyed by the field's values and keys lists the group keys.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/teams"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string",
      "active": true,
      "avatar": "string",
      "lang": "string",
      "mfa_mode": "string",
      "last_login_attempt_at": "2019-08-24T14:15:22Z",
      "context_id": "string",
      "context_type": "string",
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z",
      "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
      "modified_at": "2019-08-24T14:15:22Z",
      "modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f",
      "persona": {},
      "customer": {},
      "role": {},
      "link": {},
      "user_role_id": "1e7e45a3-9003-4195-97ed-60c09c31207c"
    }
  ],
  "total": 0,
  "total_unfiltered": 0,
  "has_more": true,
  "metadata": {},
  "keys": [
    "string"
  ]
}
{
  "status": 400,
  "message": "Bad request"
}
{
  "status": 401,
  "message": "Unauthorized"
}
{
  "status": 403,
  "message": "Forbidden"
}
{
  "status": 404,
  "message": "Not found"
}
{
  "status": 500,
  "message": "Internal server error"
}